### Struct

# Ggit Reflog

#### Description [src]

    struct GgitReflog {
      /* No available fields */
    }

Represents a reflog.

#### Instance methods

###### ggit_reflog_append

Creates a reflog entry.

###### ggit_reflog_get_entry_count

Gets the number of log entries in `reflog`.

###### ggit_reflog_get_entry_from_index

Gets the `GgitReflogEntry` at `idx` in `reflog`, or `NULL` if not found.

###### ggit_reflog_ref

Atomically increments the reference count of `reflog` by one. This function is MT-safe and may be called from any thread.

###### ggit_reflog_rename

Renames the reflog for to `new_name`, on error `error` is set.

###### ggit_reflog_unref

Atomically decrements the reference count of `reflog` by one. If the reference count drops to 0, `reflog` is freed.

###### ggit_reflog_write

Write the reflog to disk.